# FoundationClasses
TKernel
TColStd

# TColStd_IndexedMapNodeOfIndexedMapOfReal Class Reference

`#include <TColStd_IndexedMapNodeOfIndexedMapOfReal.hxx>`

Inheritance diagram for TColStd_IndexedMapNodeOfIndexedMapOfReal:

[legend]

## Public Member Functions

| TColStd_IndexedMapNodeOfIndexedMapOfReal (const Standard_Real &K1, const Standard_Integer K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Standard_Real & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myKey1
Standard_Integer | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

TColStd_IndexedMapNodeOfIndexedMapOfReal::TColStd_IndexedMapNodeOfIndexedMapOfReal | ( | const Standard_Real & | K1,
|  | const Standard_Integer | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const TColStd_IndexedMapNodeOfIndexedMapOfReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Standard_Real& TColStd_IndexedMapNodeOfIndexedMapOfReal::Key1 | ( |  | ) | const

Standard_Integer& TColStd_IndexedMapNodeOfIndexedMapOfReal::Key2 | ( |  | ) | const

TCollection_MapNodePtr& TColStd_IndexedMapNodeOfIndexedMapOfReal::Next2 | ( |  | ) | const

## Field Documentation

Standard_Real TColStd_IndexedMapNodeOfIndexedMapOfReal::myKey1 `[private]`

Standard_Integer TColStd_IndexedMapNodeOfIndexedMapOfReal::myKey2 `[private]`

TCollection_MapNodePtr TColStd_IndexedMapNodeOfIndexedMapOfReal::myNext2 `[private]`

The documentation for this class was generated from the following file:

- TColStd_IndexedMapNodeOfIndexedMapOfReal.hxx